
Redmine - Defect #31507

Test fails if trailing whitespaces are removed

2019-06-03 22:08 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed Affected version:  

Description

The test test_partials_with_html_entities fails if the trailing whitespaces are removed. The attached patch can be used to reproduce

the below problem:

notroot@eb7d0b73147d:/work$ ruby test/unit/lib/redmine/unified_diff_test.rb -n test_partials_with_

html_entities

DEPRECATION WARNING: `secrets.secret_token` is deprecated in favor of `secret_key_base` and will b

e removed in Rails 6.0. (called from <top (required)> at /work/config/environment.rb:16)

Run options: -n test_partials_with_html_entities --seed 55482

# Running:

E

Error:

Redmine::UnifiedDiffTest#test_partials_with_html_entities:

NoMethodError: undefined method `html_line_left' for nil:NilClass

    test/unit/lib/redmine/unified_diff_test.rb:106:in `test_partials_with_html_entities'

bin/rails test test/unit/lib/redmine/unified_diff_test.rb:92

 I wasn't able to fix the test without changing the diff, any solution is welcome.

Related issues:

Related to Redmine - Patch #31506: Remove trailing whitespaces Closed

Associated revisions

Revision 22679 - 2024-02-05 08:53 - Go MAEDA

Ensure tests remain robust against trailing whitespace removal (#31507).

Revision 22680 - 2024-02-05 08:55 - Go MAEDA

Remove trailing whitespaces from test/unit/lib/redmine/unified_diff_test.rb (#31507).

History

#1 - 2019-06-03 22:10 - Marius BĂLTEANU

- Description updated

#2 - 2019-06-06 16:59 - Marius BĂLTEANU

- Related to Patch #31506: Remove trailing whitespaces added

#3 - 2019-06-07 14:02 - Go MAEDA

- File fix-31507.patch added

Here is my patch. I could not think of any other solution.

#4 - 2024-01-28 09:19 - Go MAEDA

- File 31507.patch added
The problem can be fixed with the attached patch. The patch changes the test data not to include blank lines.

#5 - 2024-01-28 09:32 - Go MAEDA

- File 31507-v2.patch added

This new patch also fixes another two tests, test_keep_similar_git_footer_line and test_git_footer_line, and removes trailing white spaces.

#6 - 2024-02-02 07:40 - Go MAEDA

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#7 - 2024-02-05 08:56 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r22679.

Files

0001-Remove-trailing-whitespaces-freom-test_partials_with.patch 862 Bytes 2019-06-03 Marius BĂLTEANU

fix-31507.patch 757 Bytes 2019-06-07 Go MAEDA

31507.patch 798 Bytes 2024-01-28 Go MAEDA

31507-v2.patch 2.88 KB 2024-01-28 Go MAEDA
